Package org.acplt.oncrpc

# Class XdrString

java.lang.Object
org.acplt.oncrpc.XdrString

All Implemented Interfaces:
  `XdrAble`

public class XdrString extends Object implements XdrAble
Instances of the class `XdrString` represent (de-)serializeable strings, which are especially useful in cases where a result with only a single string is expected from a remote function call or only a single string parameter needs to be supplied.

Please note that this class is somewhat modelled after Java's primitive data type wrappers. As for these classes, the XDR data type wrapper classes follow the concept of values with no identity, so you are not allowed to change the value after you've created a value object.

Version:
  $Revision: 1.1 $ $Date: 2003/08/13 12:03:40 $ $State: Exp $ $Locker: $
Author:
  Harald Albrecht

## Constructor Summary

Constructors
Constructor
Description
`XdrString()`
Constructs and initializes a new `XdrString` object.
`XdrString(String value)`
Constructs and initializes a new `XdrString` object.

## Method Summary

Modifier and Type
Method
Description
`String`
`stringValue()`
Returns the value of this `XdrString` object as a string primitive.
`void`
`xdrDecode(XdrDecodingStream xdr)`
Decodes -- that is: deserializes -- a XDR string from a XDR stream in compliance to RFC 1832.
`void`
`xdrEncode(XdrEncodingStream xdr)`
Encodes -- that is: serializes -- a XDR string into a XDR stream in compliance to RFC 1832.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### XdrString

public XdrString(String value)
Constructs and initializes a new `XdrString` object.

Parameters:
  `value` - String value.

### XdrString

public XdrString()
Constructs and initializes a new `XdrString` object.

## Method Details

### stringValue

public String stringValue()
Returns the value of this `XdrString` object as a string primitive.

Returns:
  The primitive `String` value of this object.

### xdrEncode

public void xdrEncode(XdrEncodingStream xdr) throws OncRpcException, IOException
Encodes -- that is: serializes -- a XDR string into a XDR stream in compliance to RFC 1832.

Specified by:
  `xdrEncode` in interface `XdrAble`
Parameters:
  `xdr` - XDR stream to which information is sent for encoding.
Throws:
  `OncRpcException` - if an ONC/RPC error occurs.
  `IOException` - if an I/O error occurs.

### xdrDecode

public void xdrDecode(XdrDecodingStream xdr) throws OncRpcException, IOException
Decodes -- that is: deserializes -- a XDR string from a XDR stream in compliance to RFC 1832.

Specified by:
  `xdrDecode` in interface `XdrAble`
Parameters:
  `xdr` - XDR stream from which decoded information is retrieved.
Throws:
  `OncRpcException` - if an ONC/RPC error occurs.
  `IOException` - if an I/O error occurs.